apiVersion: v1
kind: Pod
metadata:
  name: deis-dockerbuilder
  labels:
    heritage: deis
    version: v2-alpha
spec:
  restartPolicy: Never
  containers:
    - name: deis-dockerbuilder
      imagePullPolicy: Always
      image: quay.io/deisci/dockerbuilder:v2-alpha
      env:
        - name: DEBUG
          value: "1"
        - name: TAR_URL
          value: tar-url
        - name: IMAGE
          value: imagename
        # - name : REG_URL
        #   value: puturl
      volumeMounts:
        - mountPath: /var/run/docker.sock
          name: docker-socket
        - name: object-store
          mountPath: /var/run/secrets/object/store
          readOnly: true
  volumes:
    - name: object-store
      secret:
        secretName: object-store
    - name: docker-socket
      hostPath:
        path: /var/run/docker.sock
